const fs = require('fs');
const path = require('path');

// Caminho para o arquivo que armazenará o último ID
const lastIdFilePath = path.join(__dirname, 'lastId.txt');

module.exports = {
// Função para obter o último ID do arquivo ou inicializar com 20000
async getLastId() {
    try {
        // Tenta ler o arquivo e converter para número
        const data = fs.readFileSync(lastIdFilePath, 'utf8');
        return parseInt(data, 10) || 20070;
    } catch (error) {
        // Se o arquivo não existe ou outro erro, inicia com 20000
        return 20070;
    }
},

// Função para salvar o último ID no arquivo
async saveLastId(id) {
    fs.writeFileSync(lastIdFilePath, id.toString(), 'utf8');
}
}