const gzappy = require('gzappy-js').default || require('gzappy-js');
require("dotenv").config({ path: __dirname + "/./../../../.env" });


const GZAPPY_API_TOKEN = process.env.GZAPPY_API_TOKEN;
const GZAPPY_INSTANCE_ID = process.env.GZAPPY_INSTANCE_ID;

const gClient = new gzappy({ 
  token: GZAPPY_API_TOKEN,
  instanceId: GZAPPY_INSTANCE_ID
})

const sendMessage = (message, phoneNumber) => {
  return gClient
    .sendMessage([message], [phoneNumber])
    .then(response => { console.log(response); return response; })
    .catch(error => { console.error(error); throw error; });
}

const sendMedia = async (message, phoneNumber, mediaUrl) => {
  const GZAPPY_URL = "https://api.gzappy.com/v1/message/send-media"

  const response = await fetch(GZAPPY_URL, {
    method: 'POST',
    headers: {
        'Content-Type': 'application/json',
        'Authorization': `Bearer ${GZAPPY_API_TOKEN}`
    },
    body: JSON.stringify({
        instance_id: GZAPPY_INSTANCE_ID,
        message: `${message}`,
        phone: [`${phoneNumber}`], 
        mediaUrl: `https://aliancapedidos.s3.us-east-2.amazonaws.com/alianca.jpeg`
    })
  });
  await console.log("sendMessage", response)
}

const sendImage = async (phoneNumber, message, mediaUrl,) => {
  const GZAPPY_URL = "https://api.gzappy.com/v1/message/send-media";

  try {
    const response = await fetch(GZAPPY_URL, {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
        'Authorization': `Bearer ${GZAPPY_API_TOKEN}`
      },
      body: JSON.stringify({
        instance_id: GZAPPY_INSTANCE_ID,
        message: message,
        phone: [phoneNumber],
        mediaUrl: mediaUrl
      })
    });

    const result = await response.json();
    console.log("✅ sendMedia result:", result);
    return result;
  } catch (error) {
    console.error("❌ Erro em sendMedia:", error);
    throw error;
  }
};

module.exports = { sendMessage, sendMedia, sendImage }